jv.number

## Class PuDouble_IP

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jv.number.PuDouble_IP

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.ItemListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, java.util.EventListener, javax.accessibility.Accessible, PsUpdateIf

      public class PuDouble_IP
      extends PsPanel
      implements java.lang.Runnable, java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.ItemListener

  Info panel of double slider with label, value field, slider and adjustment panel. Use method `newInspector(PsPanel.INFO_EXT)` of the associated double to obtain this panel for inclusion into other panels. Note, this panel reports all events to its associated number, not to the panel it is contained in. Therefore, do not set the parent of this panel other than the associated number.

  This panel has an additional small button on the right side to show the configuration panel of the number. This configuration panel allows to set the domain of definition and increments of the scrollbar.

  See Also:
    `PuDouble`, Serialized Form
  Author:
    Konrad Polthier
  Version:
    25.11.12, 1.95 revised (kp) Fully update panel when textfield has been edited.
    09.10.08, 1.90 revised (mn) New checkbox showing the 'enabled' status of the PuDouble.
    25.11.06, 1.80 revised (kp) Opening of control dialog now with toolbarItem.
    03.08.04, 1.70 revised (kp) Handling of background color of inspector.
    20.12.01, 1.60 revised (ep) Internationalization.
    13.11.00, 1.50 revised (kp) Space of numerical field increased.
    18.07.00, 1.40 revised (kp) Correctly update the cached slider value m_oldValue.
    29.06.00, 1.35 revised (kp) Slightly modified handling of text field input.
    17.10.99, 1.30 revised (kp) Previous correction to scrollbar disabled since it works without.
    03.10.99, 1.30 revised (kp) Maximum value of scrollbar changed to max+pageIncr.
    06.09.99, 1.20 revised (kp) Removed TextListener since dead locks occurred.
    07.08.99, 1.10 revised (kp) Converted to AWT 1.1
    00.00.98, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PuDouble_IP()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)`
    `void` | `adjustmentValueChanged(java.awt.event.AdjustmentEvent event)` Receives, stores and initiates consumption of adjustment events received from scrollbar.
    `void` | `init()` Provides layout and adds internal components.
    `void` | `itemStateChanged(java.awt.event.ItemEvent e)` Invoked when an item has been selected or deselected by the user.
    `void` | `run()` Consume the events, always consume the most recently received event.
    `void` | `setEnabled(boolean flag)`
    `void` | `setParent(PsUpdateIf parent)` Set parent of this panel which receives update events.
    `boolean` | `update(java.lang.Object object)` Update the panel whenever the parent has changed somewhere else.

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getPreferredSize, getTitle, getTitle, getTitle, hasTitle, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Constructor Detail

    - #### PuDouble_IP

          public PuDouble_IP()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsPanel`
      Provides layout and adds internal components.
      Overrides:
        `init` in class `PsPanel`

    - #### setParent

          public void setParent(PsUpdateIf parent)

      Description copied from class: `PsPanel`
      Set parent of this panel which receives update events.

      The method `getFather` allows to retrieve this parent.

      Specified by:
        `setParent` in interface `PsUpdateIf`
      Overrides:
        `setParent` in class `PsPanel`
      Parameters:
        `parent` - parent of this panel
      See Also:
        `PsPanel.getFather()`

    - #### update

          public boolean update(java.lang.Object object)

      Update the panel whenever the parent has changed somewhere else. Method is invoked from the parent or its superclasses.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsPanel`
      Parameters:
        `object` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject`, `PsUpdateIf.getFather()`, `PsUpdateIf.setParent(PsUpdateIf)`

    - #### setEnabled

          public void setEnabled(boolean flag)

      Overrides:
        `setEnabled` in class `java.awt.Component`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### itemStateChanged

          public void itemStateChanged(java.awt.event.ItemEvent e)

      Invoked when an item has been selected or deselected by the user. The code written for this method performs the operations that need to occur when an item is selected (or deselected).
      Specified by:
        `itemStateChanged` in interface `java.awt.event.ItemListener`

    - #### adjustmentValueChanged

          public void adjustmentValueChanged(java.awt.event.AdjustmentEvent event)

      Receives, stores and initiates consumption of adjustment events received from scrollbar.

      Consumption was separated since moving the scrollbar box initiates too many events which can not be consumed at same speed. This issue produces running scrollbar boxes without effective consumption. Here we simply ignore superfluous events.

      Specified by:
        `adjustmentValueChanged` in interface `java.awt.event.AdjustmentListener`
      Since:
        JavaView 4.04.004
      Author:
        Konrad Polthier
      Version:
        2013.06.09, 1.00 created (kp)

    - #### run

          public void run()

      Consume the events, always consume the most recently received event. Events received while running will be overwritten except the most recent event. Thread terminates when no more events are received and the latest event was consumed.
      Specified by:
        `run` in interface `java.lang.Runnable`
      Since:
        JavaView 4.04.004
      Author:
        Konrad Polthier
      Version:
        2013.06.09, 1.00 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"